AgentMonitor (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.agent.client.AgentMonitor class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.agent.client
Class AgentMonitor

    java.lang.Object
      org.hyperic.hq.measurement.agent.client.AgentMonitor

    public class AgentMonitor

extends java.lang.Object

The AgentMonitor is a wrapper around the MeasurementClient, providing commonly used routines.

Constructor Summary
`AgentMonitor()`

Method Summary
`MetricValue[]` | `getLiveValues(Agent agent, java.lang.String[] dsns)` Get the live value
`boolean` | `ping(Agent agent)` Ping the agent to see if it is alive
`void` | `schedule(MeasurementCommandsClient client, SRN srn, Measurement[] schedule)` Schedule the measurement to be retrieved at specified intervals.
`void` | `unschedule(Agent agent, AppdefEntityID[] ids)` Unschedule measurements

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentMonitor

    public AgentMonitor()

Method Detail

### ping

    public boolean ping(Agent agent)

  Ping the agent to see if it is alive

  Parameters:
    `agent` - the agent connection info
  Returns:
    true if the agent is up, false otherwise

### schedule

    public void schedule(MeasurementCommandsClient client,
                         SRN srn,
                         Measurement[] schedule)
                  throws AgentRemoteException,
                         AgentConnectionException

  Schedule the measurement to be retrieved at specified intervals.

  Parameters:
    `srn` - The entity associated with the schedule
    `schedule` - Information about the schedule of metrics to collect
  Throws:
    `AgentRemoteException`
    `AgentConnectionException`

### unschedule

    public void unschedule(Agent agent,
                           AppdefEntityID[] ids)
                    throws MonitorAgentException

  Unschedule measurements

  Parameters:
    `ids` - Array of entities to unschedule
  Throws:
    `MonitorAgentException`

### getLiveValues

    public MetricValue[] getLiveValues(Agent agent,
                                       java.lang.String[] dsns)
                                throws MonitorAgentException,
                                       LiveMeasurementException

  Get the live value

  Parameters:
    `agent` - the agent to talk to
    `dsns` - the DSNs that identifies the values to fetch
  Throws:
    `MonitorAgentException`
    `LiveMeasurementException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.